# Chatbot entities

## Lists all entities for a chatbot

> \
> \
> \*\*Required Permission:\*\* \`chatbots.entities.list\`\
> \
> \*\*Resource:\*\* \`chatbots/:chatbotId\`

```json
{"openapi":"3.0.0","info":{"title":"ChatCaptain API","version":"1.0"},"tags":[{"name":"Chatbot entities","description":""}],"servers":[{"url":"https://api.chatcaptain.com","description":"Production"}],"security":[{},{}],"paths":{"/v1/chatbots/{chatbotId}/entities":{"get":{"operationId":"ChatbotEntityController_listEntities[1]_v1","parameters":[{"name":"chatbotId","required":true,"in":"path","description":"The ID of the chatbot.","schema":{"type":"string"}}],"responses":{"200":{"description":"List of all entities.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListEntitiesResponseDto"}}}},"403":{"description":"Insufficient permissions."}},"summary":"Lists all entities for a chatbot","tags":["Chatbot entities"],"description":"\n\n**Required Permission:** `chatbots.entities.list`\n\n**Resource:** `chatbots/:chatbotId`"}}},"components":{"schemas":{"ListEntitiesResponseDto":{"type":"object","properties":{"entities":{"description":"A list of entities.","type":"array","items":{"$ref":"#/components/schemas/EntityDto"}},"error":{"type":"string","description":"Optional error message."}},"required":["entities"]},"EntityDto":{"type":"object","properties":{"category":{"type":"string","description":"The category or name of the entity."},"compositionSettings":{"description":"Settings for how entity components are combined.","allOf":[{"$ref":"#/components/schemas/CompositionSettingsDto"}]},"list":{"description":"List component for the entity.","allOf":[{"$ref":"#/components/schemas/ListComponentDto"}]},"prebuilts":{"description":"Pre-built components for the entity.","type":"array","items":{"$ref":"#/components/schemas/PrebuiltsComponentDto"}},"regex":{"description":"Regex component for the entity.","allOf":[{"$ref":"#/components/schemas/RegexComponentDto"}]},"requiredComponents":{"description":"A list of required component keys.","type":"array","items":{"type":"string"}},"id":{"type":"string","description":"The unique identifier of the entity."},"created":{"type":"string","description":"The creation timestamp of the entity."},"updated":{"type":"string","description":"The last update timestamp of the entity."},"editable":{"type":"boolean","description":"Indicates whether the entity is editable."},"enabled":{"type":"boolean","description":"Indicates whether the entity is enabled."},"variableId":{"type":"string","description":"The ID of the variable associated with this entity."}},"required":["category","prebuilts","requiredComponents","id","created","updated","editable","enabled","variableId"]},"CompositionSettingsDto":{"type":"object","properties":{"combineComponents":{"type":"string","description":"How to combine components."},"requireExactOverlap":{"type":"string","description":"Whether to require exact overlap."},"returnLongestOverlap":{"type":"string","description":"Whether to return the longest overlap."},"separateComponents":{"type":"string","description":"How to separate components."}},"required":["combineComponents","requireExactOverlap","returnLongestOverlap","separateComponents"]},"ListComponentDto":{"type":"object","properties":{"sublists":{"description":"A list of sublists for the entity.","type":"array","items":{"$ref":"#/components/schemas/ListComponentListEntryDto"}}},"required":["sublists"]},"ListComponentListEntryDto":{"type":"object","properties":{"listKey":{"type":"string","description":"The key for this list entry."},"synonyms":{"description":"A list of synonyms for this entry.","type":"array","items":{"$ref":"#/components/schemas/ListComponentSynonymDto"}}},"required":["listKey","synonyms"]},"ListComponentSynonymDto":{"type":"object","properties":{"language":{"type":"string","description":"The language code for the synonyms."},"values":{"description":"A list of synonymous values.","type":"array","items":{"type":"string"}}},"required":["language","values"]},"PrebuiltsComponentDto":{"type":"object","properties":{"category":{"type":"string","description":"Category of the predefined entity."}},"required":["category"]},"RegexComponentDto":{"type":"object","properties":{"expressions":{"description":"A list of regular expressions for the entity.","type":"array","items":{"$ref":"#/components/schemas/RegexComponentExpressionDto"}}},"required":["expressions"]},"RegexComponentExpressionDto":{"type":"object","properties":{"regexKey":{"type":"string","description":"The key for this regular expression."},"language":{"type":"string","description":"The language code for this regular expression."},"regexPattern":{"type":"string","description":"The regular expression pattern."}},"required":["regexKey","language","regexPattern"]}}}}
```

## Creates a new entity

> \
> \
> \*\*Required Permission:\*\* \`chatbots.entities.create\`\
> \
> \*\*Resource:\*\* \`chatbots/:chatbotId\`

```json
{"openapi":"3.0.0","info":{"title":"ChatCaptain API","version":"1.0"},"tags":[{"name":"Chatbot entities","description":""}],"servers":[{"url":"https://api.chatcaptain.com","description":"Production"}],"security":[{},{}],"paths":{"/v1/chatbots/{chatbotId}/entities":{"post":{"operationId":"ChatbotEntityController_createEntity[1]_v1","parameters":[{"name":"chatbotId","required":true,"in":"path","description":"The ID of the chatbot.","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateEntityRequestDto"}}}},"responses":{"201":{"description":"Entity created successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityResponseDto"}}}},"400":{"description":"Invalid input data."},"403":{"description":"Insufficient permissions."}},"summary":"Creates a new entity","tags":["Chatbot entities"],"description":"\n\n**Required Permission:** `chatbots.entities.create`\n\n**Resource:** `chatbots/:chatbotId`"}}},"components":{"schemas":{"CreateEntityRequestDto":{"type":"object","properties":{"entity":{"description":"The entity object to be created.","allOf":[{"$ref":"#/components/schemas/EntityPayloadDto"}]}},"required":["entity"]},"EntityPayloadDto":{"type":"object","properties":{"category":{"type":"string","description":"The category or name of the entity."},"compositionSettings":{"description":"Settings for how entity components are combined.","allOf":[{"$ref":"#/components/schemas/CompositionSettingsDto"}]},"list":{"description":"List component for the entity.","allOf":[{"$ref":"#/components/schemas/ListComponentDto"}]},"prebuilts":{"description":"Pre-built components for the entity.","type":"array","items":{"$ref":"#/components/schemas/PrebuiltsComponentDto"}},"regex":{"description":"Regex component for the entity.","allOf":[{"$ref":"#/components/schemas/RegexComponentDto"}]},"requiredComponents":{"description":"A list of required component keys.","type":"array","items":{"type":"string"}}},"required":["category","prebuilts","requiredComponents"]},"CompositionSettingsDto":{"type":"object","properties":{"combineComponents":{"type":"string","description":"How to combine components."},"requireExactOverlap":{"type":"string","description":"Whether to require exact overlap."},"returnLongestOverlap":{"type":"string","description":"Whether to return the longest overlap."},"separateComponents":{"type":"string","description":"How to separate components."}},"required":["combineComponents","requireExactOverlap","returnLongestOverlap","separateComponents"]},"ListComponentDto":{"type":"object","properties":{"sublists":{"description":"A list of sublists for the entity.","type":"array","items":{"$ref":"#/components/schemas/ListComponentListEntryDto"}}},"required":["sublists"]},"ListComponentListEntryDto":{"type":"object","properties":{"listKey":{"type":"string","description":"The key for this list entry."},"synonyms":{"description":"A list of synonyms for this entry.","type":"array","items":{"$ref":"#/components/schemas/ListComponentSynonymDto"}}},"required":["listKey","synonyms"]},"ListComponentSynonymDto":{"type":"object","properties":{"language":{"type":"string","description":"The language code for the synonyms."},"values":{"description":"A list of synonymous values.","type":"array","items":{"type":"string"}}},"required":["language","values"]},"PrebuiltsComponentDto":{"type":"object","properties":{"category":{"type":"string","description":"Category of the predefined entity."}},"required":["category"]},"RegexComponentDto":{"type":"object","properties":{"expressions":{"description":"A list of regular expressions for the entity.","type":"array","items":{"$ref":"#/components/schemas/RegexComponentExpressionDto"}}},"required":["expressions"]},"RegexComponentExpressionDto":{"type":"object","properties":{"regexKey":{"type":"string","description":"The key for this regular expression."},"language":{"type":"string","description":"The language code for this regular expression."},"regexPattern":{"type":"string","description":"The regular expression pattern."}},"required":["regexKey","language","regexPattern"]},"EntityResponseDto":{"type":"object","properties":{"entity":{"description":"The retrieved entity.","allOf":[{"$ref":"#/components/schemas/EntityDto"}]},"error":{"type":"string","description":"Optional error message."}}},"EntityDto":{"type":"object","properties":{"category":{"type":"string","description":"The category or name of the entity."},"compositionSettings":{"description":"Settings for how entity components are combined.","allOf":[{"$ref":"#/components/schemas/CompositionSettingsDto"}]},"list":{"description":"List component for the entity.","allOf":[{"$ref":"#/components/schemas/ListComponentDto"}]},"prebuilts":{"description":"Pre-built components for the entity.","type":"array","items":{"$ref":"#/components/schemas/PrebuiltsComponentDto"}},"regex":{"description":"Regex component for the entity.","allOf":[{"$ref":"#/components/schemas/RegexComponentDto"}]},"requiredComponents":{"description":"A list of required component keys.","type":"array","items":{"type":"string"}},"id":{"type":"string","description":"The unique identifier of the entity."},"created":{"type":"string","description":"The creation timestamp of the entity."},"updated":{"type":"string","description":"The last update timestamp of the entity."},"editable":{"type":"boolean","description":"Indicates whether the entity is editable."},"enabled":{"type":"boolean","description":"Indicates whether the entity is enabled."},"variableId":{"type":"string","description":"The ID of the variable associated with this entity."}},"required":["category","prebuilts","requiredComponents","id","created","updated","editable","enabled","variableId"]}}}}
```

## Retrieves a specific entity

> \
> \
> \*\*Required Permission:\*\* \`chatbots.entities.get\`\
> \
> \*\*Resource:\*\* \`chatbots/:chatbotId\`

```json
{"openapi":"3.0.0","info":{"title":"ChatCaptain API","version":"1.0"},"tags":[{"name":"Chatbot entities","description":""}],"servers":[{"url":"https://api.chatcaptain.com","description":"Production"}],"security":[{},{}],"paths":{"/v1/chatbots/{chatbotId}/entities/{entityId}":{"get":{"operationId":"ChatbotEntityController_getEntity[1]_v1","parameters":[{"name":"chatbotId","required":true,"in":"path","description":"The ID of the chatbot.","schema":{"type":"string"}},{"name":"entityId","required":true,"in":"path","description":"The ID of the entity to retrieve.","schema":{"type":"string"}}],"responses":{"200":{"description":"Details of the entity.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityResponseDto"}}}},"403":{"description":"Insufficient permissions."}},"summary":"Retrieves a specific entity","tags":["Chatbot entities"],"description":"\n\n**Required Permission:** `chatbots.entities.get`\n\n**Resource:** `chatbots/:chatbotId`"}}},"components":{"schemas":{"EntityResponseDto":{"type":"object","properties":{"entity":{"description":"The retrieved entity.","allOf":[{"$ref":"#/components/schemas/EntityDto"}]},"error":{"type":"string","description":"Optional error message."}}},"EntityDto":{"type":"object","properties":{"category":{"type":"string","description":"The category or name of the entity."},"compositionSettings":{"description":"Settings for how entity components are combined.","allOf":[{"$ref":"#/components/schemas/CompositionSettingsDto"}]},"list":{"description":"List component for the entity.","allOf":[{"$ref":"#/components/schemas/ListComponentDto"}]},"prebuilts":{"description":"Pre-built components for the entity.","type":"array","items":{"$ref":"#/components/schemas/PrebuiltsComponentDto"}},"regex":{"description":"Regex component for the entity.","allOf":[{"$ref":"#/components/schemas/RegexComponentDto"}]},"requiredComponents":{"description":"A list of required component keys.","type":"array","items":{"type":"string"}},"id":{"type":"string","description":"The unique identifier of the entity."},"created":{"type":"string","description":"The creation timestamp of the entity."},"updated":{"type":"string","description":"The last update timestamp of the entity."},"editable":{"type":"boolean","description":"Indicates whether the entity is editable."},"enabled":{"type":"boolean","description":"Indicates whether the entity is enabled."},"variableId":{"type":"string","description":"The ID of the variable associated with this entity."}},"required":["category","prebuilts","requiredComponents","id","created","updated","editable","enabled","variableId"]},"CompositionSettingsDto":{"type":"object","properties":{"combineComponents":{"type":"string","description":"How to combine components."},"requireExactOverlap":{"type":"string","description":"Whether to require exact overlap."},"returnLongestOverlap":{"type":"string","description":"Whether to return the longest overlap."},"separateComponents":{"type":"string","description":"How to separate components."}},"required":["combineComponents","requireExactOverlap","returnLongestOverlap","separateComponents"]},"ListComponentDto":{"type":"object","properties":{"sublists":{"description":"A list of sublists for the entity.","type":"array","items":{"$ref":"#/components/schemas/ListComponentListEntryDto"}}},"required":["sublists"]},"ListComponentListEntryDto":{"type":"object","properties":{"listKey":{"type":"string","description":"The key for this list entry."},"synonyms":{"description":"A list of synonyms for this entry.","type":"array","items":{"$ref":"#/components/schemas/ListComponentSynonymDto"}}},"required":["listKey","synonyms"]},"ListComponentSynonymDto":{"type":"object","properties":{"language":{"type":"string","description":"The language code for the synonyms."},"values":{"description":"A list of synonymous values.","type":"array","items":{"type":"string"}}},"required":["language","values"]},"PrebuiltsComponentDto":{"type":"object","properties":{"category":{"type":"string","description":"Category of the predefined entity."}},"required":["category"]},"RegexComponentDto":{"type":"object","properties":{"expressions":{"description":"A list of regular expressions for the entity.","type":"array","items":{"$ref":"#/components/schemas/RegexComponentExpressionDto"}}},"required":["expressions"]},"RegexComponentExpressionDto":{"type":"object","properties":{"regexKey":{"type":"string","description":"The key for this regular expression."},"language":{"type":"string","description":"The language code for this regular expression."},"regexPattern":{"type":"string","description":"The regular expression pattern."}},"required":["regexKey","language","regexPattern"]}}}}
```

## Deletes an entity

> \
> \
> \*\*Required Permission:\*\* \`chatbots.entities.delete\`\
> \
> \*\*Resource:\*\* \`chatbots/:chatbotId\`

```json
{"openapi":"3.0.0","info":{"title":"ChatCaptain API","version":"1.0"},"tags":[{"name":"Chatbot entities","description":""}],"servers":[{"url":"https://api.chatcaptain.com","description":"Production"}],"security":[{},{}],"paths":{"/v1/chatbots/{chatbotId}/entities/{entityId}":{"delete":{"operationId":"ChatbotEntityController_deleteEntity[1]_v1","parameters":[{"name":"chatbotId","required":true,"in":"path","description":"The ID of the chatbot.","schema":{"type":"string"}},{"name":"entityId","required":true,"in":"path","description":"The ID of the entity to delete.","schema":{"type":"string"}}],"responses":{"200":{"description":"Result of the deletion process.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteEntityResponseDto"}}}},"403":{"description":"Insufficient permissions."}},"summary":"Deletes an entity","tags":["Chatbot entities"],"description":"\n\n**Required Permission:** `chatbots.entities.delete`\n\n**Resource:** `chatbots/:chatbotId`"}}},"components":{"schemas":{"DeleteEntityResponseDto":{"type":"object","properties":{"deleted":{"type":"boolean","description":"Indicates whether the deletion operation was successful."},"error":{"type":"string","description":"Optional error message."}},"required":["deleted"]}}}}
```

## Updates an existing entity

> \
> \
> \*\*Required Permission:\*\* \`chatbots.entities.edit\`\
> \
> \*\*Resource:\*\* \`chatbots/:chatbotId\`

```json
{"openapi":"3.0.0","info":{"title":"ChatCaptain API","version":"1.0"},"tags":[{"name":"Chatbot entities","description":""}],"servers":[{"url":"https://api.chatcaptain.com","description":"Production"}],"security":[{},{}],"paths":{"/v1/chatbots/{chatbotId}/entities/{entityId}":{"patch":{"operationId":"ChatbotEntityController_updateEntity[1]_v1","parameters":[{"name":"chatbotId","required":true,"in":"path","description":"The ID of the chatbot.","schema":{"type":"string"}},{"name":"entityId","required":true,"in":"path","description":"The ID of the entity to update.","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateEntityRequestDto"}}}},"responses":{"200":{"description":"Entity updated successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityResponseDto"}}}},"400":{"description":"Invalid input data."},"403":{"description":"Insufficient permissions."}},"summary":"Updates an existing entity","tags":["Chatbot entities"],"description":"\n\n**Required Permission:** `chatbots.entities.edit`\n\n**Resource:** `chatbots/:chatbotId`"}}},"components":{"schemas":{"UpdateEntityRequestDto":{"type":"object","properties":{"entity":{"description":"The object containing the entity fields to be updated.","allOf":[{"$ref":"#/components/schemas/EntityPayloadDto"}]}},"required":["entity"]},"EntityPayloadDto":{"type":"object","properties":{"category":{"type":"string","description":"The category or name of the entity."},"compositionSettings":{"description":"Settings for how entity components are combined.","allOf":[{"$ref":"#/components/schemas/CompositionSettingsDto"}]},"list":{"description":"List component for the entity.","allOf":[{"$ref":"#/components/schemas/ListComponentDto"}]},"prebuilts":{"description":"Pre-built components for the entity.","type":"array","items":{"$ref":"#/components/schemas/PrebuiltsComponentDto"}},"regex":{"description":"Regex component for the entity.","allOf":[{"$ref":"#/components/schemas/RegexComponentDto"}]},"requiredComponents":{"description":"A list of required component keys.","type":"array","items":{"type":"string"}}},"required":["category","prebuilts","requiredComponents"]},"CompositionSettingsDto":{"type":"object","properties":{"combineComponents":{"type":"string","description":"How to combine components."},"requireExactOverlap":{"type":"string","description":"Whether to require exact overlap."},"returnLongestOverlap":{"type":"string","description":"Whether to return the longest overlap."},"separateComponents":{"type":"string","description":"How to separate components."}},"required":["combineComponents","requireExactOverlap","returnLongestOverlap","separateComponents"]},"ListComponentDto":{"type":"object","properties":{"sublists":{"description":"A list of sublists for the entity.","type":"array","items":{"$ref":"#/components/schemas/ListComponentListEntryDto"}}},"required":["sublists"]},"ListComponentListEntryDto":{"type":"object","properties":{"listKey":{"type":"string","description":"The key for this list entry."},"synonyms":{"description":"A list of synonyms for this entry.","type":"array","items":{"$ref":"#/components/schemas/ListComponentSynonymDto"}}},"required":["listKey","synonyms"]},"ListComponentSynonymDto":{"type":"object","properties":{"language":{"type":"string","description":"The language code for the synonyms."},"values":{"description":"A list of synonymous values.","type":"array","items":{"type":"string"}}},"required":["language","values"]},"PrebuiltsComponentDto":{"type":"object","properties":{"category":{"type":"string","description":"Category of the predefined entity."}},"required":["category"]},"RegexComponentDto":{"type":"object","properties":{"expressions":{"description":"A list of regular expressions for the entity.","type":"array","items":{"$ref":"#/components/schemas/RegexComponentExpressionDto"}}},"required":["expressions"]},"RegexComponentExpressionDto":{"type":"object","properties":{"regexKey":{"type":"string","description":"The key for this regular expression."},"language":{"type":"string","description":"The language code for this regular expression."},"regexPattern":{"type":"string","description":"The regular expression pattern."}},"required":["regexKey","language","regexPattern"]},"EntityResponseDto":{"type":"object","properties":{"entity":{"description":"The retrieved entity.","allOf":[{"$ref":"#/components/schemas/EntityDto"}]},"error":{"type":"string","description":"Optional error message."}}},"EntityDto":{"type":"object","properties":{"category":{"type":"string","description":"The category or name of the entity."},"compositionSettings":{"description":"Settings for how entity components are combined.","allOf":[{"$ref":"#/components/schemas/CompositionSettingsDto"}]},"list":{"description":"List component for the entity.","allOf":[{"$ref":"#/components/schemas/ListComponentDto"}]},"prebuilts":{"description":"Pre-built components for the entity.","type":"array","items":{"$ref":"#/components/schemas/PrebuiltsComponentDto"}},"regex":{"description":"Regex component for the entity.","allOf":[{"$ref":"#/components/schemas/RegexComponentDto"}]},"requiredComponents":{"description":"A list of required component keys.","type":"array","items":{"type":"string"}},"id":{"type":"string","description":"The unique identifier of the entity."},"created":{"type":"string","description":"The creation timestamp of the entity."},"updated":{"type":"string","description":"The last update timestamp of the entity."},"editable":{"type":"boolean","description":"Indicates whether the entity is editable."},"enabled":{"type":"boolean","description":"Indicates whether the entity is enabled."},"variableId":{"type":"string","description":"The ID of the variable associated with this entity."}},"required":["category","prebuilts","requiredComponents","id","created","updated","editable","enabled","variableId"]}}}}
```

## Changes the activation status of an entity

> \
> \
> \*\*Required Permission:\*\* \`chatbots.entities.edit\`\
> \
> \*\*Resource:\*\* \`chatbots/:chatbotId\`

```json
{"openapi":"3.0.0","info":{"title":"ChatCaptain API","version":"1.0"},"tags":[{"name":"Chatbot entities","description":""}],"servers":[{"url":"https://api.chatcaptain.com","description":"Production"}],"security":[{},{}],"paths":{"/v1/chatbots/{chatbotId}/entities/{entityId}/state":{"patch":{"operationId":"ChatbotEntityController_setEntityState[1]_v1","parameters":[{"name":"chatbotId","required":true,"in":"path","description":"The ID of the chatbot.","schema":{"type":"string"}},{"name":"entityId","required":true,"in":"path","description":"The ID of the entity.","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SetEntityStateRequestDto"}}}},"responses":{"200":{"description":"Status changed successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityResponseDto"}}}},"400":{"description":"Invalid input data."},"403":{"description":"Insufficient permissions."}},"summary":"Changes the activation status of an entity","tags":["Chatbot entities"],"description":"\n\n**Required Permission:** `chatbots.entities.edit`\n\n**Resource:** `chatbots/:chatbotId`"}}},"components":{"schemas":{"SetEntityStateRequestDto":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Sets the entity to enabled (true) or disabled (false)."}},"required":["enabled"]},"EntityResponseDto":{"type":"object","properties":{"entity":{"description":"The retrieved entity.","allOf":[{"$ref":"#/components/schemas/EntityDto"}]},"error":{"type":"string","description":"Optional error message."}}},"EntityDto":{"type":"object","properties":{"category":{"type":"string","description":"The category or name of the entity."},"compositionSettings":{"description":"Settings for how entity components are combined.","allOf":[{"$ref":"#/components/schemas/CompositionSettingsDto"}]},"list":{"description":"List component for the entity.","allOf":[{"$ref":"#/components/schemas/ListComponentDto"}]},"prebuilts":{"description":"Pre-built components for the entity.","type":"array","items":{"$ref":"#/components/schemas/PrebuiltsComponentDto"}},"regex":{"description":"Regex component for the entity.","allOf":[{"$ref":"#/components/schemas/RegexComponentDto"}]},"requiredComponents":{"description":"A list of required component keys.","type":"array","items":{"type":"string"}},"id":{"type":"string","description":"The unique identifier of the entity."},"created":{"type":"string","description":"The creation timestamp of the entity."},"updated":{"type":"string","description":"The last update timestamp of the entity."},"editable":{"type":"boolean","description":"Indicates whether the entity is editable."},"enabled":{"type":"boolean","description":"Indicates whether the entity is enabled."},"variableId":{"type":"string","description":"The ID of the variable associated with this entity."}},"required":["category","prebuilts","requiredComponents","id","created","updated","editable","enabled","variableId"]},"CompositionSettingsDto":{"type":"object","properties":{"combineComponents":{"type":"string","description":"How to combine components."},"requireExactOverlap":{"type":"string","description":"Whether to require exact overlap."},"returnLongestOverlap":{"type":"string","description":"Whether to return the longest overlap."},"separateComponents":{"type":"string","description":"How to separate components."}},"required":["combineComponents","requireExactOverlap","returnLongestOverlap","separateComponents"]},"ListComponentDto":{"type":"object","properties":{"sublists":{"description":"A list of sublists for the entity.","type":"array","items":{"$ref":"#/components/schemas/ListComponentListEntryDto"}}},"required":["sublists"]},"ListComponentListEntryDto":{"type":"object","properties":{"listKey":{"type":"string","description":"The key for this list entry."},"synonyms":{"description":"A list of synonyms for this entry.","type":"array","items":{"$ref":"#/components/schemas/ListComponentSynonymDto"}}},"required":["listKey","synonyms"]},"ListComponentSynonymDto":{"type":"object","properties":{"language":{"type":"string","description":"The language code for the synonyms."},"values":{"description":"A list of synonymous values.","type":"array","items":{"type":"string"}}},"required":["language","values"]},"PrebuiltsComponentDto":{"type":"object","properties":{"category":{"type":"string","description":"Category of the predefined entity."}},"required":["category"]},"RegexComponentDto":{"type":"object","properties":{"expressions":{"description":"A list of regular expressions for the entity.","type":"array","items":{"$ref":"#/components/schemas/RegexComponentExpressionDto"}}},"required":["expressions"]},"RegexComponentExpressionDto":{"type":"object","properties":{"regexKey":{"type":"string","description":"The key for this regular expression."},"language":{"type":"string","description":"The language code for this regular expression."},"regexPattern":{"type":"string","description":"The regular expression pattern."}},"required":["regexKey","language","regexPattern"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chatcaptain.com/api/api-dokumentation/chatbot-entities.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
